import { Scene } from './scene';
export declare class SceneManager {
    scenes: Map<string, Scene>;
    currentScene?: Scene;
    defaultScene?: Scene;
    constructor();
    init(): void;
    addScene(scene: Scene): void;
    removeScene(scene: Scene): void;
    switchTo(scene: Scene): void;
    setDefaultScene(scene: Scene): void;
}
